<?php

class Intense_Icon_List extends Intense_Shortcode {

  function __construct() {
    parent::__construct();

    global $intense_visions_options;

    $this->title = __( 'Icon List', 'intense' );
    $this->description = __( 'Use the icon list shortcode to add extra style to your lists. Control the color and size of the icon for each item.', 'intense' );
    $this->category = __( 'Layout', 'intense' );
    $this->show_preview = true;
    $this->is_container = true;
  }

  function shortcode( $atts, $content = null ) {
    global $intense_visions_options;
    extract( shortcode_atts( $this->get_shortcode_defaults( null, $atts ), $atts ) );

    $id = ( !empty ( $id ) ) ? " id='" . $id . "'" : "";

    $output = "<ul" . $id . " class='intense icons-ul" . ( !empty( $class ) ? " " . $class : "" ) . ( is_rtl() ? " rtl" : "" ) . "'>";
    $output .= do_shortcode( $content );
    $output .="</ul>";

    return $output;
  }
}
